=== debian/changelog ===
autoinstall-i386 (1.0) unstable; urgency=low

  * Removed embedded busybox source tarball in favor of a
    build dependency on busybox-source-0.60.0.
  * Added build dep on debhelper.  Closes: #133694.
  * Updated short description.  Closes: #116596.
  * Generate blank image on package build and use that for floppy
    creation and updates.  This allows us to drop our runtime dep on
    syslinux and make this package arch:all.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 20 Feb 2002 16:45:31 -0500

autoinstall-i386 (0.9.7.2) unstable; urgency=low

  * Adapted to new discover package layout.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 15 Oct 2001 09:57:12 -0500

autoinstall-i386 (0.9.7.1) unstable; urgency=low

  * Separated out i386-specific parts of the old autoinstaller to this
    package.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon, 13 Aug 2001 14:55:08 -0500

autoinstall (0.9.7) unstable; urgency=low

  * General theme: Remove "Progeny-isms" to facilitate porting to
    woody.
  * Port preppkgs to debconf 0.9.
  * Use new discover (based on libdiscover0 instead of libdetect).
  * When building, check the version of debconf in use, and use the 
    correct version of preppkgs.
  * Only use etherconf to configure the network if on a Progeny
    system; otherwise, just write an appropriate
    /etc/network/interfaces.
  * Wrote setdebconf and readdebconf for debconf 0.9.
  * Detect which flavor of GRUB is provided with the system
    (Progeny's or Debian's) and install it appropriately.
  * In linuxrc, make sure that scsip1.lst is read and used even if it
    isn't needed to preload configuration data.
  * Removed lots of old commented-out code from linuxrc.
  * Added "noxconf" flag to configuration; this prevents the linuxrc
    from attempting to set X up even if X servers are present.

 -- Jeff Licquia <jlicquia@progeny.com>  Fri,  3 Aug 2001 09:41:33 -0500

autoinstall (0.9.6) unstable; urgency=low

  * Split out configuration loading functions to remove duplicate
    code.
  * Add exception block to the main code, so exceptions get caught
    properly.
  * Changed "autoinst_config" kernel parameters to "aidrv" and "aifs",
    since the other parameters were too long.

 -- Jeff Licquia <jlicquia@progeny.com>  Wed, 11 Jul 2001 16:00:30 -0500

autoinstall (0.9.5) unstable; urgency=low

  * linuxrc: Add "autoinst_config_drive" and "autoinst_config_fstype"
    kernel command line options, so the autoinstaller config can be
    loaded from alternate places (such as an already-formatted hard
    drive).
  * linuxrc: Add ability to preload SCSI modules (to support using
    autoinst_config_drive to load configuration from a SCSI disk).
  * update-autoinst-disk: Check that the FLOPPYPATH exists before
    trying to create it.
  * update-autoinst-disk: Copy conf tarball to conf.tgz instead of
    conf.tar.gz, since it's likely being copied to a MS-DOS
    filesystem.
  * make-autoinst-initrd: Copy SCSI preload file into ramdisk if it
    exists.
  * mkmodules: Load modules from SCSI preload file as well as the
    other files.

 -- Jeff Licquia <jlicquia@progeny.com>  Mon,  9 Jul 2001 12:34:55 -0500

autoinstall (0.9.4) unstable; urgency=low

  * now includes manpages for make-autoinst-disk, make-autoinst-initrd, and
    update-autoinst-disk
  * make-autoinst-initrd:
    + set PROGNAME variable and use it for consistent error messages
    + better diagnostic message for missing kernel module directory
    + check number of args and error out if incorrect
    + correct cut-n-paste bug in error messages WRT name of program
    + if TMPDIR is defined, use it instead of /tmp
    + explain why we exit 1 if we can't create the temporary directory
    + add vim modeline
  * make-autoinst-disk:
    + converted to wrapper around update-autoinst-disk; this just formats the
      disk, copies the kernel and then calls update-autoinst-disk
    + use PROGNAME for error (diagnostic) messages
    + more diagnostic messages
    + check for existence of needed files before starting to do anything
    + use TMPDIR if it is set
    + add vim modeline
  * update-autoinst-disk:
    + use PROGNAME for error (diagnostic) messages
    + Uses better-tested code formerly from make-autoinst-disk.
    + Honors existing TMPPATH, and doesn't create the tempdir itself if that
      variable is set (for use when called by make-autoinst-disk).
    + Only remove the tempdir if we set TMPPATH ourselves.

 -- Branden Robinson <branden@progeny.com>  Mon,  9 Jul 2001 14:52:08 -0500

autoinstall (0.9.3) unstable; urgency=low

  * README: Note that postinst is run chrooted into the installed system.
    Clarify many other points.
  * linuxrc: Don't freak on blank lines in global.cfg. Fix the translation
    of cdrom: "URLs" in global.cfg (off-by-one error).
  * make-autoinst-disk: Add -s to syslinux call to enable safe, slow, and
    stupid operation so that it works with brain-dead BIOSes.
  * make-autoinst-initrd: Fix bug on first run where it gives an error
    about not being able to remove a non-existant initrd.gz in the temp
    dir.
  * debian/control: Add complete Build-Depends.

 -- Eric Gillespie, Jr. <epg@progeny.com>  Fri, 23 Mar 2001 17:05:52 -0500

autoinstall (0.9.2) unstable; urgency=low

  * Brought in new python-parted.
  * Rebuilt to use new discover, new kernel facilities, etc.
  * Brought in new mklibs.sh to handle new libc stripping.
  * Added better error handling, both globally and in specific places.
  * Now does ide-scsi stuff right.
  * Fixed parsing of modules.dep so the needed module immediately
    following another needed module isn't skipped.
  * Removed code to modprobe SCSI disk driver, since that's compiled in to
    Progeny kernels now.  Note: should at some point wrap that with
    exception handling.
  * Fixed all setdebconf stuff to use the new setdebconf file format.
  * Fixed etherconf to write a default hostname if the network is to be
    configured via DHCP.

