=== debian/control ===
Source: autoinstall-i386
Section: admin
Priority: extra
Build-Depends-Indep: debhelper, busybox-source-0.60.0, libparted-dev, uuid-dev, libz-dev, libc6-pic, discover, discover-data, net-tools, pump, configlet | debconf-utils, syslinux, dosfstools
Maintainer: Jeff Licquia <jlicquia@progeny.com>
Standards-Version: 3.5.6

Package: autoinstall-i386
Architecture: all
Depends: python, fdutils, debconf, autoinstall (>= 0.9.7.2)
Provides: autoinstall-arch
Description: Progeny Debian auto-installation system - i386-specific files
 This package contains the i386-specific parts of the Progeny Debian 
 auto-installation system.  With the "autoinstall" package, it's possible
 to create floppy disks that install Debian systems without any user
 interaction.
