## autoinstall-i386 1.12

=== debian/changelog ===
autoinstall-i386 (1.12) unstable; urgency=low

  * Updated control to depend on discover1 
  * Added ability to  create ISO boot image

 -- Paul Telford <pxt@debian.org>  Wed,  7 Apr 2004 15:40:06 -0700

autoinstall-i386 (1.11) unstable; urgency=low

  * Added modutils Build-dep (Closes: #229164)

 -- Paul Telford <pxt@debian.org>  Mon, 26 Jan 2004 08:46:19 -0800

autoinstall-i386 (1.10) unstable; urgency=low

  * Fix to allow libparted to build w/ gcc 3.x
  * removed reliance on sudo (Closes: #221026)

 -- Paul Telford <pxt@debian.org>  Mon, 17 Nov 2003 14:42:30 -0800

autoinstall-i386 (1.1) unstable; urgency=low

  * New co-maintainer
  * Removed Build-Depends on busybox-source which no longer exists in archive
    -- now included in autoinstall-common-source package. (Closes: #174559)
  * Work-around libparted API changes by Build-depending on
    new autoinstall-common-source package.  (Closes: #169249)
  * Remove usage of mtools.  (Closes: #140259)
  * Proper handling of separate /boot partition.  (Closes: #152785)
  * Changed boot-disk creation process to generate standard 1.44M floppy
    images instead of the "superformat" 1.7M images.

 -- Paul Telford <pxt@debian.org>  Tue, 14 Oct 2003 13:48:45 -0700
