=== debian/changelog ===
autoinstall-i386 (1.13) unstable; urgency=low

  * Updated grub syntax (Closes: #258498)

 -- Paul Telford <pxt@debian.org>  Tue, 20 Jul 2004 07:43:24 -0700
