=== debian/control ===
Source: autoinstall-i386
Section: admin
Priority: extra
Build-Depends-Indep: debhelper, mklibs, modutils, uuid-dev, libz-dev, discover1, discover1-data, net-tools, pump, configlet | debconf-utils, syslinux, mtools, dosfstools, autoinstall-common-source, netbase, libc6-pic
Maintainer: Paul Telford <pxt@debian.org>
Standards-Version: 3.6.1
Uploaders: Paul Telford <pxt@debian.org>, Jeff Licquia <jlicquia@progeny.com>

Package: autoinstall-i386
Architecture: all
Depends: python, fdutils, debconf, autoinstall (>= 1.0)
Provides: autoinstall-arch
Recommends: mkisofs
Description: Debian auto-installation system - i386-specific files
 This package contains the i386-specific parts of the Debian 
 auto-installation system.  With the "autoinstall" package, it's possible
 to create floppy/cdrom disks that install Debian systems without any user
 interaction.
