=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

ARCH := $(shell dpkg --print-architecture)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=1

build-stamp:
	mkdir build-stamp

configure: build-stamp/configure-stamp-debian
build-stamp/configure-stamp-debian: build-stamp
	dh_testdir
	# Add here commands to configure the package.

	touch build-stamp/configure-stamp-debian

build: build-stamp/configure-stamp-debian build-stamp/build-stamp-debian
build-stamp/build-stamp-debian: build-stamp
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp/build-stamp-debian

clean:
	dh_testdir
	dh_testroot
	-rm -rf build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(PWD)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/autoinstall-$(ARCH)
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installmanpages
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
